Debian Bug report logs - #568743
O: speedy-cgi-perl -- speed up perl scripts by making them persistent

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Niko Tyni <ntyni@debian.org>

Date: Sun, 7 Feb 2010 13:30:02 UTC

Severity: normal

Fixed in version 2.22-13+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, speedy-cgi-perl@packages.debian.org, <wnpp@debian.org>:
Bug#568743; Package wnpp. (Sun, 07 Feb 2010 13:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to speedy-cgi-perl@packages.debian.org, <wnpp@debian.org>. (Sun, 07 Feb 2010 13:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: RFA: speedy-cgi-perl -- speed up perl scripts by making them persistent
Date: Sun, 7 Feb 2010 15:27:16 +0200
Package: wnpp

I request an adopter for the speedy-cgi-perl package.

The long description is:

 SpeedyCGI is a way to run perl scripts persistently, which usually makes
 them run much more quickly because it avoids the overhead of starting
 up a new perl interpreter and compiling the perl code.  It is also known
 as PersistentPerl: while its most common use is with CGI scripts, it can
 be used to speed up most perl programs.

The package is dead upstream, the last release was in 2003. I've kept
it alive in Debian until now and there are no serious problems, but
if somebody adopts it they should probably take over upstream too.

If nobody shows up in a month or so, I'll request removal from the Debian
archive. There are a few reverse dependencies that need to be taken care of
first though (at least request-tracker3.8 and smokeping).
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568743; Package wnpp. (Tue, 23 Apr 2013 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 23 Apr 2013 18:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 568743@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 666853@bugs.debian.org, 676277@bugs.debian.org, 568743@bugs.debian.org
Subject: speedy-cgi-perl is going away
Date: Tue, 23 Apr 2013 21:40:32 +0300
retitle 568743 O: speedy-cgi-perl -- speed up perl scripts by making them persistent

This is just a note so that nobody wastes time on speedy-cgi-perl bugs
#666853 (Apache 2.4 transition) or #676277 (Perl 5.16 transition) unless
they are planning to adopt the package.

I intend to request removal of speedy-cgi-perl once wheezy has been
released, for reasons described in #568743 (mainly: dead upstream.)
I believe reverse dependencies have since been removed, with the exception
of a Suggestion in libhtml-mason-perl.

Marking the package as orphaned for now.
-- 
Niko Tyni   ntyni@debian.org



Changed Bug title to 'O: speedy-cgi-perl -- speed up perl scripts by making them persistent' from 'RFA: speedy-cgi-perl -- speed up perl scripts by making them persistent' Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Tue, 23 Apr 2013 18:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568743; Package wnpp. (Wed, 08 May 2013 19:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 May 2013 19:06:05 GMT) Full text and rfc822 format available.

Message #17 received at 568743@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Niko Tyni <ntyni@debian.org>, 676277@bugs.debian.org
Cc: 666853@bugs.debian.org, 568743@bugs.debian.org
Subject: Re: Bug#676277: speedy-cgi-perl is going away
Date: Wed, 8 May 2013 21:03:41 +0200
[Message part 1 (text/plain, inline)]
On Tue, 23 Apr 2013 21:40:32 +0300, Niko Tyni wrote:

> This is just a note so that nobody wastes time on speedy-cgi-perl bugs
> #666853 (Apache 2.4 transition) or #676277 (Perl 5.16 transition) unless
> they are planning to adopt the package.
> 
> I intend to request removal of speedy-cgi-perl once wheezy has been
> released, for reasons described in #568743 (mainly: dead upstream.)
> I believe reverse dependencies have since been removed, with the exception
> of a Suggestion in libhtml-mason-perl.

Makes sense. I've removed it from the Suggests for html-mason in git
now.

Are you going to file the RM bug or shall I do it?

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Paco de Lucia: La Villa Vieja [Solea]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568743; Package wnpp. (Thu, 09 May 2013 07:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 09 May 2013 07:39:04 GMT) Full text and rfc822 format available.

Message #22 received at 568743@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: gregor herrmann <gregoa@debian.org>, 666853@bugs.debian.org
Cc: 676277@bugs.debian.org, 568743@bugs.debian.org
Subject: Re: Bug#666853: Bug#676277: speedy-cgi-perl is going away
Date: Thu, 9 May 2013 10:36:06 +0300
On Wed, May 08, 2013 at 09:03:41PM +0200, gregor herrmann wrote:
> On Tue, 23 Apr 2013 21:40:32 +0300, Niko Tyni wrote:
> 
> > This is just a note so that nobody wastes time on speedy-cgi-perl bugs
> > #666853 (Apache 2.4 transition) or #676277 (Perl 5.16 transition) unless
> > they are planning to adopt the package.
> > 
> > I intend to request removal of speedy-cgi-perl once wheezy has been
> > released, for reasons described in #568743 (mainly: dead upstream.)
> > I believe reverse dependencies have since been removed, with the exception
> > of a Suggestion in libhtml-mason-perl.
> 
> Makes sense. I've removed it from the Suggests for html-mason in git
> now.
> 
> Are you going to file the RM bug or shall I do it?

Now filed as #707335.
-- 
Niko Tyni   ntyni@debian.org



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 09 May 2013 11:01:27 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Thu, 09 May 2013 11:01:27 GMT) Full text and rfc822 format available.

Message #27 received at 568743-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 204461-done@bugs.debian.org,218173-done@bugs.debian.org,428830-done@bugs.debian.org,506957-done@bugs.debian.org,575927-done@bugs.debian.org,666853-done@bugs.debian.org,676277-done@bugs.debian.org,568743-done@bugs.debian.org,
Cc: speedy-cgi-perl@packages.debian.org, speedy-cgi-perl@packages.qa.debian.org
Subject: Bug#707335: Removed package(s) from unstable
Date: Thu, 09 May 2013 10:46:56 +0000
Version: 2.22-13+rm

Dear submitter,

as the package speedy-cgi-perl has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/707335

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jun 2013 07:31:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:38:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.